import DependencyProxyBuilder from './DependencyProxyBuilder';
type ShapePeerProperties = 'color' | 'size' | 'position' | 'fill' | 'stroke' | 'visibility';
declare class ShapePeerCacheBuilder<K extends Object> extends DependencyProxyBuilder<K, ShapePeerProperties> {
    constructor();
    private static getDependency;
}
export default ShapePeerCacheBuilder;
